package mschmidt.komo;
/*
 * This class controls all aspects of the application's execution.
 */

import mschmidt.komo.datatools.ConnectionManager;
import mschmidt.komo.datatools.PasswordManager;

import org.eclipse.core.runtime.IPlatformRunnable;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.PlatformUI;

public class Application implements IPlatformRunnable {

	/**
	 * create a static ConnectionManager object variable.
	 */
	public static ConnectionManager dbConn = null;
	public static PasswordManager dbPassword = null;
	
	/* (non-Javadoc)
	 * @see org.eclipse.core.runtime.IPlatformRunnable#run(java.lang.Object)
	 */
	public final Object run(final Object args) throws Exception {
		Display display = PlatformUI.createDisplay();
		
		/*
		 * Create a ConnectionManager object that will make
		 * database connection information available
		 * throughout the application.
		 */
		dbConn = new ConnectionManager();
		dbPassword = new PasswordManager();
		try {
			int returnCode = PlatformUI.createAndRunWorkbench(
					display, new ApplicationWorkbenchAdvisor());
			if (returnCode == PlatformUI.RETURN_RESTART) {
				return IPlatformRunnable.EXIT_RESTART;
			}
			return IPlatformRunnable.EXIT_OK;
		} finally {
			display.dispose();
		}
	}
}

