package mschmidt.komo;
/*
 * Custom action that tests the database connection.
 */

import mschmidt.komo.datatools.TestConnectionJob;

import org.eclipse.core.runtime.jobs.Job;
import org.eclipse.jface.action.Action;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;

public class DbTestAction extends Action implements IWorkbenchAction {

	// Initialize variables for this action.
	private IWorkbenchWindow thisWindow;

	public final static String ACTION_ID = "mschmidt.komo.DbTestAction";

	/*
	 * Create the action and set appearance variables.
	 */
	public DbTestAction(final IWorkbenchWindow window) {
		thisWindow = window;
		setId(ACTION_ID);
		setText("Test Connection");
		setToolTipText("Test connection to PostgreSQL database");
		setImageDescriptor(KomoPlugin
				.getImageDescriptor(ApplicationImages.CONNECT_ICON));
	}

	/*
	 * (non-Javadoc) The action runnable.
	 * 
	 * @see org.eclipse.jface.action.IAction#run()
	 */
	public final void run() {
		if (thisWindow != null) {
			if (Application.dbPassword.checkPassword()) {
				Job testJob = new TestConnectionJob("TestConn");
				testJob.setPriority(Job.SHORT);
				testJob.schedule();
			}
		}
	}

	public void dispose() {
	}

}
